GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.Shipper Class Reference

## Public Member Functions
String | getContactID ()
void | setContactID (String value)
Address | getAlternativeShipperAddress ()
void | setAlternativeShipperAddress (Address value)
String | getFRAlphaCustomerReference ()
void | setFRAlphaCustomerReference (String value)
Address | getAddress ()
void | setAddress (Address value)

## Protected Attributes
String | contactID
Address | alternativeShipperAddress
String | frAlphaCustomerReference
Address | address

## Detailed Description

Shipper attributes - if only contact id is supplied, the system should take the shipping address from database.

Java class for Shipper complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Shipper">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ContactID" type="{http://fpcs.gls-group.eu/v1/Common}Index"/>
            <element name="AlternativeShipperAddress" type="{http://fpcs.gls-group.eu/v1/Common}Address" minOccurs="0"/>
            <element name="FRAlphaCustomerReference" type="{http://fpcs.gls-group.eu/v1/Common}FRAlphaCustomerReference" minOccurs="0"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v1/Common}Address" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 44 of file gls_group/fpcs/v1/common/Shipper.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.gls_group.fpcs.v1.common.Shipper.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 135 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ getAlternativeShipperAddress()

Address eu.gls_group.fpcs.v1.common.Shipper.getAlternativeShipperAddress | ( |  | ) |

Gets the value of the alternativeShipperAddress property.

Returns
  possible object is Address

Definition at line 87 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ getContactID()

String eu.gls_group.fpcs.v1.common.Shipper.getContactID | ( |  | ) |

Gets the value of the contactID property.

Returns
  possible object is String

Definition at line 63 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ getFRAlphaCustomerReference()

String eu.gls_group.fpcs.v1.common.Shipper.getFRAlphaCustomerReference | ( |  | ) |

Gets the value of the frAlphaCustomerReference property.

Returns
  possible object is String

Definition at line 111 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ setAddress()

void eu.gls_group.fpcs.v1.common.Shipper.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 147 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ setAlternativeShipperAddress()

void eu.gls_group.fpcs.v1.common.Shipper.setAlternativeShipperAddress | ( | Address | value | ) |

Sets the value of the alternativeShipperAddress property.

Parameters

  value | allowed object is Address

Definition at line 99 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ setContactID()

void eu.gls_group.fpcs.v1.common.Shipper.setContactID | ( | String | value | ) |

Sets the value of the contactID property.

Parameters

  value | allowed object is String

Definition at line 75 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ setFRAlphaCustomerReference()

void eu.gls_group.fpcs.v1.common.Shipper.setFRAlphaCustomerReference | ( | String | value | ) |

Sets the value of the frAlphaCustomerReference property.

Parameters

  value | allowed object is String

Definition at line 123 of file gls_group/fpcs/v1/common/Shipper.java.

## Member Data Documentation

## ◆ address

Address eu.gls_group.fpcs.v1.common.Shipper.address
| protected

Definition at line 53 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ alternativeShipperAddress

Address eu.gls_group.fpcs.v1.common.Shipper.alternativeShipperAddress
| protected

Definition at line 49 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ contactID

String eu.gls_group.fpcs.v1.common.Shipper.contactID
| protected

Definition at line 47 of file gls_group/fpcs/v1/common/Shipper.java.

## ◆ frAlphaCustomerReference

String eu.gls_group.fpcs.v1.common.Shipper.frAlphaCustomerReference
| protected

Definition at line 51 of file gls_group/fpcs/v1/common/Shipper.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/common/Shipper.java